CVE-2023-45857

NameCVE-2023-45857
DescriptionAn issue discovered in Axios 1.5.1 inadvertently reveals the confidential XSRF-TOKEN stored in cookies by including it in the HTTP header X-XSRF-TOKEN for every request made to any host allowing attackers to view sensitive information.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1056099

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
node-axios (PTS)buster0.17.1+dfsg-2+deb10u1vulnerable
bullseye0.21.1+dfsg-1+deb11u1vulnerable
bookworm1.2.1+dfsg-1vulnerable
sid, trixie1.6.8+dfsg-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
node-axiossource(unstable)1.6.2+dfsg-11056099

Notes

[bookworm] - node-axios <no-dsa> (Minor issue)
[bullseye] - node-axios <no-dsa> (Minor issue)
[buster] - node-axios <no-dsa> (Minor issue)
https://github.com/axios/axios/issues/6006
https://github.com/axios/axios/commit/96ee232bd3ee4de2e657333d4d2191cd389e14d0 (v1.6.0)

Search for package or bug name: Reporting problems